Error while installing on Samsung Galaxy S5

When installing Ratio on Galaxy S5 (SM-6900V), I got the error INSTALL_FAILED_NO_MATCHING_ABIS

Android: 6.0.1
Kerne

l Version: 3.4.0

It did show some errors, or if i can say multiple messages to install updates. but after few installs at the same session everything went fine

Ratio needs Android 8.1 or above.
As of now, it doesn’t support versions older than that. And not sure if it will ever support.